Bug 1268950 - high power usage after starting a vpn connection
high power usage after starting a vpn connection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: network-manager-applet (Show other bugs)
22
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 13:38 EDT by Marcelo Ricardo Leitner
Modified: 2016-07-19 16:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:39:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Ricardo Leitner 2015-10-05 13:38:43 EDT
Description of problem:
If I don't use any VPN service, nm-applet does fine.
But if I join any, it's one of top5 hits on powertop here. stracing it and some gdb debugging showed that it may be the animation stuff that doesn't get fully deactivated, although the icon itself is stopped.
If then I kill nm-applet and restart it, it goes back to normal state.

perf top also showed that the high freq of messages it keeps trading is due to tooltip/icon update, not regarding to wifi power signal.

dcbw may have more insights as he helped me through some initial debugging.

Version-Release number of selected component (if applicable):
network-manager-applet-1.0.2-1.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Check how fluid is nm-applet strace, it should be very chunked.
2.Check with powertop, it probably is not even listed in there
3.Enter a VPN
4.Now strace is very fluid, you can't notice the pauses anymore, and it gives at least 30 wake-ups per sec on powertop in here.

Actual results:
High power usage
Power because as this is ping-pong with some latency, it doesn't really appear with high cpu usage.

Expected results:
Calm, no excessive power usage.

Additional info:
I didn't test with leaving a VPN.
It doesn't happen when I just join a WiFi network.
Tested with cisco vpn.

I can help provide more data, I can easily reproduce it here.
Comment 1 Fedora Admin XMLRPC Client 2015-10-14 10:50:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Dominik 'Rathann' Mierzejewski 2016-05-03 05:48:12 EDT
I can see this even without connecting to a VPN. I'll observe energy usage over different connections, but I've just seen it when connected to a 802.11g wireless (WPA2 Personal+CCMP). As in original report, restarting nm-applet "fixes" the eneregy usage (>100 events/s -> <1 event/s).

Also, I'm running F23 and network-manager-applet-1.0.10-1.fc23.x86_64.
Comment 3 Fedora End Of Life 2016-07-19 16:39:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.